Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class XMLMarshalException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.ValidationException
oracle.toplink.exceptions.XMLMarshalException`

All Implemented Interfaces:
  java.io.Serializable

public class XMLMarshalException
extends ValidationException

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_ROOT_ELEMENT_NOT_SPECIFIED`
`static int` | `DESCRIPTOR_NOT_FOUND_IN_PROJECT`
`static int` | `ENUM_CLASS_NOT_SPECIFIED`
`static int` | `ERROR_INSTANTIATING_SCHEMA_PLATFORM`
`static int` | `ERROR_RESOLVING_XML_SCHEMA`
`static int` | `ERROR_SETTING_SCHEMAS`
`static int` | `FROMSTRING_METHOD_ERROR`
`static int` | `ILLEGAL_STATE_XML_UNMARSHALLER_HANDLER`
`static int` | `INVALID_ENUM_CLASS_SPECIFIED`
`static int` | `INVALID_XPATH_INDEX_STRING`
`static int` | `INVALID_XPATH_STRING`
`static int` | `MARSHAL_EXCEPTION`
`static int` | `NAMESPACE_NOT_FOUND`
`static int` | `NAMESPACE_RESOLVER_NOT_SPECIFIED`
`static int` | `NO_DESCRIPTOR_WITH_MATCHING_ROOT_ELEMENT`
`static int` | `NULL_ARGUMENT`
`static int` | `SCHEMA_REFERENCE_NOT_SET`
`static int` | `UNMARSHAL_EXCEPTION`
`static int` | `VALIDATE_EXCEPTION`

Fields inherited from class oracle.toplink.exceptions.ValidationException
`ALREADY_LOGGED_IN, ANNOTATIONS_CONFLICT, ASSOCIATION_TABLE_ANNOTATION_NOT_FOUND, ATTRIBUTE_OVERRIDE_COLUMNS_NOT_SPECIFIED, CANNOT_ACQUIRE_CLIENTSESSION_FROM_SESSION, CANNOT_ACQUIRE_DATA_SOURCE, CANNOT_ACQUIRE_HISTORICAL_SESSION, CANNOT_ADD_DESCRIPTORS_TO_SESSION, CANNOT_ADD_DESCRIPTORS_TO_SESSION_BROKER, CANNOT_CAST_TO_CLASS, CANNOT_COMMIT_AND_RESUME_UOW_WITH_UPDATE_ALL_QUERIES, CANNOT_COMMIT_UOW_AGAIN, CANNOT_CREATE_EXTERNAL_TRANSACTION_CONTROLLER, CANNOT_INVOKE_METHOD_ON_CONFIG_CLASS, CANNOT_LOGIN_TO_A_SESSION, CANNOT_LOGOUT_OF_A_SESSION, CANNOT_MODIFY_READ_ONLY_CLASSES_SET_AFTER_USING_UNIT_OF_WORK, CANNOT_MODIFY_SCHEMA_IN_SESSION, CANNOT_REGISTER_AGGREGATE_OBJECT_IN_UNIT_OF_WORK, CANNOT_RELEASE_NON_CLIENTSESSION, CANNOT_REMOVE_FROM_READ_ONLY_CLASSES_IN_NESTED_UNIT_OF_WORK, CANNOT_RESUME_SYNCHRONIZED_UOW, CANNOT_SET_CURSOR_FOR_PARAMETER_TYPE_OTHER_THAN_OUT, CANNOT_SET_DEFAULT_SEQUENCE_AS_DEFAULT, CANNOT_SET_READ_POOL_SIZE_AFTER_LOGIN, CANNOT_TRANSLATE_UNPREPARED_CALL, CANNOT_WRITE_CHANGES_ON_NESTED_UNIT_OF_WORK, CANNOT_WRITE_CHANGES_TWICE, CANT_HAVE_UNBOUND_IN_OUTPUT_ARGUMENTS, CHILD_DESCRIPTORS_DO_NOT_HAVE_IDENTITY_MAP, CLASS_FILE_TRANSFORMER_THROWS_EXCEPTION, CLASS_LIST_MUST_NOT_BE_NULL, CLIENT_SESSION_CANNOT_USE_EXCLUSIVE_CONNECTION, CONFIG_FACTORY_NAME_PROPERTY_NOT_FOUND, CONFIG_FACTORY_NAME_PROPERTY_NOT_SPECIFIED, CONFIG_METHOD_NOT_DEFINED, CONTAINER_POLICY_DOES_NOT_USE_KEYS, COULD_NOT_BIND_JNDI, COULD_NOT_FIND_DRIVER_CLASS, CREATE_PLATFORM_DEFAULT_SEQUENCE_UNDEFINED, CURRENT_LOADER_NOT_VALID, DEFAULT_SEQUENCE_NAME_ALREADY_USED_BY_SEQUENCE, DESCRIPTOR_MUST_NOT_BE_INITIALIZED, EJB_CANNOT_LOAD_REMOTE_CLASS, EJB_CONTAINER_EXCEPTION_RAISED, EJB_DESCRIPTOR_NOT_FOUND_IN_SESSION, EJB_FINDER_EXCEPTION, EJB_INVALID_FINDER_ON_HOME, EJB_INVALID_PLATFORM_CLASS, EJB_INVALID_PROJECT_CLASS, EJB_INVALID_SESSION_TYPE_CLASS, EJB_MUST_BE_IN_TRANSACTION, EJB_NO_SUCH_SESSION_SPECIFIED_IN_PROPERTIES, EJB_PRIMARY_KEY_REFLECTION_EXCEPTION, EJB_SESSION_TYPE_CLASS_NOT_FOUND, EJB_TOPLINK_PROPERTIES_NOT_FOUND, EMBEDDED_ID_AND_ID_ANNOTATIONS_FOUND, ENTITY_CLASS_NOT_FOUND, ERROR_CLOSING_PERSISTENCE_XML, ERROR_DECRYPTING_PASSWORD, ERROR_ENCRYPTING_PASSWORD, ERROR_IN_SESSION_XML, ERROR_INSTANTIATING_ENTITY_LISTENER, ERROR_PROCESSING_NAMED_QUERY_ANNOTATION, EXCEPTION_CONFIGURING_EM_FACTORY, EXCLUSIVE_CONNECTION_NO_LONGER_AVAILABLE, EXISTING_QUERY_TYPE_CONFLICT, FATAL_ERROR_OCCURRED, FEATURE_NOT_SUPPORTED_IN_JDK_VERSION, FIELD_LEVEL_LOCKING_NOTSUPPORTED_OUTSIDE_A_UNIT_OF_WORK, FILE_ERROR, FLUSH_MODE_NOT_SUPPORTED, HISTORICAL_SESSION_ONLY_SUPPORTED_ON_ORACLE, ID_ANNOTATION_CANNOT_SPECIFY_GENERATOR, ILLEGAL_CONTAINER_CLASS, ILLEGAL_USE_OF_MAP_IN_DIRECTCOLLECTION, INACTIVE_UNIT_OF_WORK, INCORRECT_LOGIN_INSTANCE_PROVIDED, INVALID_ANNOTATION_SPECIFIED, INVALID_CALLBACK_METHOD, INVALID_CLASS_TYPE_FOR_LOB_ANNOTATION, INVALID_COLUMN_ANNOTATION_ON_RELATIONSHIP, INVALID_COMPOSITE_PK_SPECIFICATION, INVALID_CONNECTOR, INVALID_DATA_SOURCE_NAME, INVALID_EMBEDDABLE_ATTRIBUTE, INVALID_ENCRYPTION_CLASS, INVALID_ENTITY_CALLBACK_METHOD_ARGUMENTS, INVALID_ENTITY_LISTENER_CALLBACK_METHOD_ARGUMENTS, INVALID_FETCH_LAZY_TYPE, INVALID_FILE_TYPE, INVALID_MERGE_POLICY, INVALID_METHOD_ARGUMENTS, INVALID_NAMED_QUERY_ANNOTATION_NAME, INVALID_NULL_METHOD_ARGUMENTS, INVALID_READ_ONLY_CLASS_STRUCTURE_IN_UNIT_OF_WORK, INVALID_SEQUENCING_LOGIN, ISOLATED_DATA_NOT_SUPPORTED_IN_CLIENTSESSIONBROKER, JAR_FILES_IN_PERSISTENCE_XML_NOT_SUPPORTED, JAVA_TYPE_IS_NOT_A_VALID_DATABASE_TYPE, JTS_EXCEPTION_RAISED, KEYS_MUST_MATCH, LOG_IO_ERROR, LOGIN_BEFORE_ALLOCATING_CLIENT_SESSIONS, MAX_SIZE_LESS_THAN_MIN_SIZE, METHOD_FAILED, METHOD_NOT_DECLARED_IN_ITEM_CLASS, MISSING_DESCRIPTOR, MISSING_MAPPING, MULTIPLE_CURSORS_NOT_SUPPORTED, MULTIPLE_EMBEDDED_ID_ANNOTATIONS_FOUND, MULTIPLE_PROJECTS_SPECIFIED_IN_PROPERTIES, NAME_AND_REF_NAME_MUST_BE_SPECIFIED, NAMED_QUERY_ALREADY_EXISTS, NESTED_UOW_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING, NESTED_UOW_NOT_SUPPORTED_FOR_UPDATE_ALL_QUERY, NO_CORRESPONDING_SETTER_METHOD_DEFINED, NO_MAPPED_BY_ATTRIBUTE_FOUND, NO_PK_ANNOTATIONS_FOUND, NO_PROJECT_SPECIFIED_IN_PROPERTIES, NO_PROPERTIES_FILE_FOUND, NO_SESSION_FOUND, NO_SESSION_REGISTERED_FOR_CLASS, NO_SESSION_REGISTERED_FOR_NAME, NO_SESSIONS_XML_FOUND, NO_TABLES_TO_CREATE, NO_TOPLINK_EJB_JAR_XML_FOUND, NOT_SUPPORTED_FOR_DATASOURCE, NULL_CACHE_KEY_FOUND_ON_REMOVAL, NULL_PK_IN_UOW_CLONE, NULL_UNDERLYING_VALUEHOLDER_VALUE, OBJECT_NEED_IMPL_TRACKER_FOR_FETCH_GROUP_USAGE, OLD_COMMIT_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING, ONE_TO_MANY_HAS_BOTH_ASSOCIATIONTABLE_AND_JOINCOLUMN_ANNOTATIONS, ONLY_FIELDS_ARE_VALID_KEYS_FOR_DATABASE_ROWS, OPERATION_NOT_SUPPORTED, OPTIMISTIC_LOCKING_NOT_SUPPORTED, ORACLE_OBJECT_TYPE_NAME_NOT_DEFINED, ORACLE_OBJECT_TYPE_NOT_DEFINED, ORACLE_VARRAY_MAXIMIM_SIZE_NOT_DEFINED, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_INT_PROXYTYPE, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION_VERSION, ORACLEOCIPROXYCONNECTOR_REQUIRES_ORACLEOCICONNECTIONPOOL, PLATFORM_CLASS_NOT_FOUND, PLATFORM_DOES_NOT_SUPPORT_CALL_WITH_RETURNING, PLATFORM_DOES_NOT_SUPPORT_SEQUENCE, PLATFORM_DOES_NOT_SUPPORT_STORED_FUNCTIONS, POOL_NAME_DOES_NOT_EXIST, POOLS_MUST_BE_CONFIGURED_BEFORE_LOGIN, PROJECT_AMENDMENT_EXCEPTION_OCCURED, PROJECT_LOGIN_IS_NULL, PROJECT_XML_NOT_FOUND, QUERY_ARGUMENT_TYPE_NOT_FOUND, QUERY_SEQUENCE_DOES_NOT_HAVE_SELECT_QUERY, RESERVED_NAME, SEQUENCE_CANNOT_BE_CONNECTED_TO_TWO_PLATFORMS, SEQUENCE_NAME_ALREADY_USED_BY_DEFAULT_SEQUENCE, SEQUENCE_SETUP_INCORRECTLY, SERVER_PLATFORM_IS_READ_ONLY_AFTER_LOGIN, SESSION_AMENDMENT_EXCEPTION_OCCURED, SET_LISTENER_CLASSES_EXCEPTION, START_INDEX_OUT_OF_RANGE, STOP_INDEX_OUT_OF_RANGE, SUB_SESSION_NOT_DEFINED_FOR_BROKER, TABLE_PER_CLASS_INHERITANCE_NOT_SUPPORTED, UNABLE_TO_LOAD_CLASS, UNFETCHED_ATTRIBUTE_NOT_EDITABLE, UNIT_OF_WORK_AFTER_WRITE_CHANGES_FAILED, UNIT_OF_WORK_IN_TRANSACTION_COMMIT_PENDING, UNSUPPORTED_CASCADE_LOCKING_DESCRIPTOR, UNSUPPORTED_CASCADE_LOCKING_MAPPING, UNSUPPORTED_CASCADE_LOCKING_MAPPING_WITH_CUSTOM_QUERY, UPDATE_ALL_QUERIES_NOT_SUPPORTED_WITH_OTHER_WRITES, WRITE_OBJECT_NOT_ALLOWED_IN_UNIT_OF_WORK, WRONG_CHANGE_EVENT, WRONG_COLLECTION_CHANGE_EVENT_TYPE, WRONG_OBJECT_REGISTERED, WRONG_PROPERTY_NAME_IN_CHANGE_EVENT, WRONG_SEQUENCE_TYPE, WRONG_USAGE_OF_SET_CUSTOM_SQL_ARGUMENT_TYPE_METOD`

Method Summary
`static XMLMarshalException` | `defaultRootElementNotSpecified(XMLDescriptor descriptor)`
`static XMLMarshalException` | `descriptorNotFoundInProject(java.lang.String className)`
`static XMLMarshalException` | `enumClassNotSpecified()`
`static XMLMarshalException` | `errorInstantiatingSchemaPlatform(java.lang.Exception nestedException)`
`static XMLMarshalException` | `errorInvokingFromStringMethod(java.lang.Exception nestedException, java.lang.String className)`
`static XMLMarshalException` | `errorResolvingXMLSchema(java.lang.Exception nestedException)`
`static XMLMarshalException` | `errorSettingSchemas(java.lang.Exception nestedException, java.lang.Object[] schemas)`
`static XMLMarshalException` | `illegalStateXMLUnmarshallerHandler()`
`static XMLMarshalException` | `invalidEnumClassSpecified(java.lang.Exception nestedException, java.lang.String className)`
`static XMLMarshalException` | `invalidXPathIndexString(java.lang.String xpathString)`
`static XMLMarshalException` | `invalidXPathString(java.lang.String xpathString, java.lang.Exception nestedException)`
`static XMLMarshalException` | `marshalException(java.lang.Exception nestedException)`
`static XMLMarshalException` | `namespaceNotFound(java.lang.String prefix)`
`static XMLMarshalException` | `namespaceResolverNotSpecified(java.lang.String localName)`
`static XMLMarshalException` | `noDescriptorWithMatchingRootElement(java.lang.String rootElementName)`
`static XMLMarshalException` | `nullArgumentException()`
`static XMLMarshalException` | `schemaReferenceNotSet(XMLDescriptor descriptor)`
`static XMLMarshalException` | `unmarshalException()`
`static XMLMarshalException` | `unmarshalException(java.lang.Exception nestedException)`
`static XMLMarshalException` | `validateException(java.lang.Exception nestedException)`

Methods inherited from class oracle.toplink.exceptions.ValidationException
`alreadyLoggedIn, annotationsConflict, associationTableAnnotationNotFound, attributeOverrideColumnsNotSpecified, cannotAcquireClientSessionFromSession, cannotAcquireDataSource, cannotAcquireHistoricalSession, cannotAddDescriptorsToSessionBroker, cannotCastToClass, cannotCommitAndResumeSynchronizedUOW, cannotCommitAndResumeUOWWithUpdateAllQueries, cannotCommitUOWAgain, cannotCreateExternalTransactionController, cannotHaveUnboundInOutputArguments, cannotInvokeMethodOnConfigClass, cannotIssueUpdateAllQueryWithOtherWritesWithinUOW, cannotModifyReadOnlyClassesSetAfterUsingUnitOfWork, cannotRegisterAggregateObjectInUnitOfWork, cannotReleaseNonClientSession, cannotRemoveFromReadOnlyClassesInNestedUnitOfWork, cannotSetCursorForParameterTypeOtherThanOut, cannotSetDefaultSequenceAsDefault, cannotSetListenerClasses, cannotSetReadPoolSizeAfterLogin, cannotTranslateUnpreparedCall, cannotWriteChangesTwice, childDescriptorsDoNotHaveIdentityMap, classFileTransformerThrowsException, classListMustNotBeNull, clientSessionCanNotUseExclusiveConnection, configFactoryNamePropertyNotFound, configFactoryNamePropertyNotSpecified, configMethodNotDefined, containerPolicyDoesNotUseKeys, couldNotBindJndi, couldNotFindDriverClass, createPlatformDefaultSequenceUndefined, currentLoaderNotValid, defaultSequenceNameAlreadyUsedBySequence, descriptorMustBeNotInitialized, ejbCannotLoadRemoteClass, ejbContainerExceptionRaised, ejbDescriptorNotFoundInSession, ejbFinderException, ejbInvalidHomeInterfaceClass, ejbInvalidPlatformClass, ejbInvalidProjectClass, ejbInvalidSessionTypeClass, ejbMustBeInTransaction, ejbNoSuchSessionSpecifiedInProperties, ejbPrimaryKeyReflectionException, ejbSessionTypeClassNotFound, ejbTopLinkPropertiesNotFound, embeddedIdAndIdAnnotationFound, entityClassNotFound, errorClosingPersistenceXML, errorDecryptingPassword, errorEncryptingPassword, errorInSessionsXML, errorInstantiatingEntityListener, errorProcessingNamedQueryAnnotation, exceptionConfiguringEMFactory, excusiveConnectionIsNoLongerAvailable, existingQueryTypeConflict, fatalErrorOccurred, featureIsNotAvailableInRunningJDKVersion, fieldLevelLockingNotSupportedWithoutUnitOfWork, fileError, flushModeNotSupported, historicalSessionOnlySupportedOnOracle, idAnnotationCannotSpecifyGenerator, illegalContainerClass, illegalOperationForUnitOfWorkLifecycle, illegalUseOfMapInDirectCollection, inActiveUnitOfWork, incorrectLoginInstanceProvided, invalidAnnotationSpecified, invalidCallbackMethod, invalidClassTypeForLOBAnnotation, invalidColumnAnnotationOnRelationship, invalidCompositePKSpecification, invalidConnector, invalidDataSourceName, invalidEmbeddableAttribute, invalidEncryptionClass, invalidEntityCallbackMethodArguments, invalidEntityListenerCallbackMethodArguments, invalidFetchLazyType, invalidFileName, invalidMergePolicy, invalidMethodArguments, invalidNamedQueryAnnotationName, invalidNullMethodArguments, invalidSequencingLogin, isolatedDataNotSupportedInSessionBroker, jarFilesInPersistenceXmlNotSupported, javaTypeIsNotAValidDatabaseType, jtsExceptionRaised, loginBeforeAllocatingClientSessions, logIOError, maxSizeLessThanMinSize, methodFailed, methodNotDeclaredInItemClass, missingDescriptor, missingMappingForAttribute, multipleCursorsNotSupported, multipleEmbeddedIdAnnotationsFound, multipleProjectsSpecifiedInProperties, nameAndReferenceNameMustBeSpecified, namedQueryAlreadyExists, nestedUOWNotSupportedForAttributeTracking, nestedUOWNotSupportedForUpdateAllQuery, noCorrespondingSetterMethodDefined, noMappedByAttributeFound, noPrimaryKeyAnnotationsFound, noProjectSpecifiedInProperties, noPropertiesFileFound, noSessionFound, noSessionRegisteredForClass, noSessionRegisteredForName, noSessionsXMLFound, noTablesToCreate, noTopLinkEjbJarXMLFound, notSupportedForDatasource, nullCacheKeyFoundOnRemoval, nullPrimaryKeyInUnitOfWorkClone, nullUnderlyingValueHolderValue, objectNeedImplTrackerForFetchGroupUsage, oldCommitNotSupportedForAttributeTracking, oneToManyHasBothAssociationTableAndJoinColumnAnnotations, onlyFieldsAreValidKeysForDatabaseRows, operationNotSupported, optimisticLockingNotSupportedWithStoredProcedureGeneration, oracleJDBC10_1_0_2ProxyConnectorRequiresIntProxytype, oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnection, oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnectionVersion, oracleObjectTypeIsNotDefined, oracleObjectTypeNameIsNotDefined, oracleOCIProxyConnectorRequiresOracleOCIConnectionPool, oracleVarrayMaximumSizeNotDefined, platformClassNotFound, platformDoesNotSupportCallWithReturning, platformDoesNotSupportSequence, platformDoesNotSupportStoredFunctions, poolNameDoesNotExist, poolsMustBeConfiguredBeforeLogin, projectAmendmentExceptionOccured, projectLoginIsNull, projectXMLNotFound, queryArgumentTypeNotFound, querySequenceDoesNotHaveSelectQuery, reservedName, sequenceCannotBeConnectedToTwoPlatforms, sequenceNameAlreadyUsedByDefaultSequence, sequenceSetupIncorrectly, serverPlatformIsReadOnlyAfterLogin, sessionAmendmentExceptionOccured, startIndexOutOfRange, stopIndexOutOfRange, subSessionsNotDefinedForBroker, tablePerClassInheritanceNotSupported, unableToLoadClass, unfetchedAttributeNotEditable, unitOfWorkAfterWriteChangesFailed, unitOfWorkInTransactionCommitPending, unitOfWorkInTransactionCommitPending, unsupportedCascadeLockingDescriptor, unsupportedCascadeLockingMapping, unsupportedCascadeLockingMappingWithCustomQuery, writeChangesOnNestedUnitOfWork, writeObjectNotAllowedInUnitOfWork, wrongChangeEvent, wrongCollectionChangeEventType, wrongObjectRegistered, wrongPropertyNameInChangeEvent, wrongSequenceType, wrongUsageOfSetCustomArgumentTypeMethod`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INVALID_XPATH_STRING

    public static final int INVALID_XPATH_STRING

  See Also:
    Constant Field Values

### INVALID_XPATH_INDEX_STRING

    public static final int INVALID_XPATH_INDEX_STRING

  See Also:
    Constant Field Values

### MARSHAL_EXCEPTION

    public static final int MARSHAL_EXCEPTION

  See Also:
    Constant Field Values

### UNMARSHAL_EXCEPTION

    public static final int UNMARSHAL_EXCEPTION

  See Also:
    Constant Field Values

### VALIDATE_EXCEPTION

    public static final int VALIDATE_EXCEPTION

  See Also:
    Constant Field Values

### DEFAULT_ROOT_ELEMENT_NOT_SPECIFIED

    public static final int DEFAULT_ROOT_ELEMENT_NOT_SPECIFIED

  See Also:
    Constant Field Values

### DESCRIPTOR_NOT_FOUND_IN_PROJECT

    public static final int DESCRIPTOR_NOT_FOUND_IN_PROJECT

  See Also:
    Constant Field Values

### NO_DESCRIPTOR_WITH_MATCHING_ROOT_ELEMENT

    public static final int NO_DESCRIPTOR_WITH_MATCHING_ROOT_ELEMENT

  See Also:
    Constant Field Values

### SCHEMA_REFERENCE_NOT_SET

    public static final int SCHEMA_REFERENCE_NOT_SET

  See Also:
    Constant Field Values

### NULL_ARGUMENT

    public static final int NULL_ARGUMENT

  See Also:
    Constant Field Values

### ERROR_RESOLVING_XML_SCHEMA

    public static final int ERROR_RESOLVING_XML_SCHEMA

  See Also:
    Constant Field Values

### ERROR_SETTING_SCHEMAS

    public static final int ERROR_SETTING_SCHEMAS

  See Also:
    Constant Field Values

### ERROR_INSTANTIATING_SCHEMA_PLATFORM

    public static final int ERROR_INSTANTIATING_SCHEMA_PLATFORM

  See Also:
    Constant Field Values

### NAMESPACE_RESOLVER_NOT_SPECIFIED

    public static final int NAMESPACE_RESOLVER_NOT_SPECIFIED

  See Also:
    Constant Field Values

### NAMESPACE_NOT_FOUND

    public static final int NAMESPACE_NOT_FOUND

  See Also:
    Constant Field Values

### ENUM_CLASS_NOT_SPECIFIED

    public static final int ENUM_CLASS_NOT_SPECIFIED

  See Also:
    Constant Field Values

### FROMSTRING_METHOD_ERROR

    public static final int FROMSTRING_METHOD_ERROR

  See Also:
    Constant Field Values

### INVALID_ENUM_CLASS_SPECIFIED

    public static final int INVALID_ENUM_CLASS_SPECIFIED

  See Also:
    Constant Field Values

### ILLEGAL_STATE_XML_UNMARSHALLER_HANDLER

    public static final int ILLEGAL_STATE_XML_UNMARSHALLER_HANDLER

  See Also:
    Constant Field Values

Method Detail

### invalidXPathString

    public static XMLMarshalException invalidXPathString(java.lang.String xpathString,
                                                         java.lang.Exception nestedException)

### invalidXPathIndexString

    public static XMLMarshalException invalidXPathIndexString(java.lang.String xpathString)

### marshalException

    public static XMLMarshalException marshalException(java.lang.Exception nestedException)

### unmarshalException

    public static XMLMarshalException unmarshalException()

### unmarshalException

    public static XMLMarshalException unmarshalException(java.lang.Exception nestedException)

### validateException

    public static XMLMarshalException validateException(java.lang.Exception nestedException)

### defaultRootElementNotSpecified

    public static XMLMarshalException defaultRootElementNotSpecified(XMLDescriptor descriptor)

### descriptorNotFoundInProject

    public static XMLMarshalException descriptorNotFoundInProject(java.lang.String className)

### noDescriptorWithMatchingRootElement

    public static XMLMarshalException noDescriptorWithMatchingRootElement(java.lang.String rootElementName)

### schemaReferenceNotSet

    public static XMLMarshalException schemaReferenceNotSet(XMLDescriptor descriptor)

### nullArgumentException

    public static XMLMarshalException nullArgumentException()

### errorResolvingXMLSchema

    public static XMLMarshalException errorResolvingXMLSchema(java.lang.Exception nestedException)

### errorSettingSchemas

    public static XMLMarshalException errorSettingSchemas(java.lang.Exception nestedException,
                                                          java.lang.Object[] schemas)

### errorInstantiatingSchemaPlatform

    public static XMLMarshalException errorInstantiatingSchemaPlatform(java.lang.Exception nestedException)

### namespaceResolverNotSpecified

    public static XMLMarshalException namespaceResolverNotSpecified(java.lang.String localName)

### namespaceNotFound

    public static XMLMarshalException namespaceNotFound(java.lang.String prefix)

### enumClassNotSpecified

    public static XMLMarshalException enumClassNotSpecified()

### errorInvokingFromStringMethod

    public static XMLMarshalException errorInvokingFromStringMethod(java.lang.Exception nestedException,
                                                                    java.lang.String className)

### invalidEnumClassSpecified

    public static XMLMarshalException invalidEnumClassSpecified(java.lang.Exception nestedException,
                                                                java.lang.String className)

### illegalStateXMLUnmarshallerHandler

    public static XMLMarshalException illegalStateXMLUnmarshallerHandler()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD